OpenCL C++ Bindings

Loading...
Searching...
No Matches
cl::KernelFunctor< Ts > Class Template Reference

`#include <opencl.hpp>`

## Public Types
typedef Event | result_type
| Return type of the functor.

## Public Member Functions
| KernelFunctor (Kernel kernel)
| KernelFunctor (const Program &program, const string name, cl_int *err=nullptr)
Event | operator() (const EnqueueArgs &args, Ts... ts)
Event | operator() (const EnqueueArgs &args, Ts... ts, cl_int &error)
cl_int | setSVMPointers (const vector< void * > &pointerList)
template<typename T0, typename... T1s>
cl_int | setSVMPointers (const T0 &t0, T1s &... ts)
Kernel | getKernel ()

## Detailed Description

template<typename... Ts>
class cl::KernelFunctor< Ts >

Type safe kernel functor.

Definition at line 11091 of file opencl.hpp.

## Member Typedef Documentation

## ◆ result_type

template<typename... Ts>

typedef Event cl::KernelFunctor< Ts >::result_type

Return type of the functor.

Definition at line 11127 of file opencl.hpp.

## Constructor & Destructor Documentation

## ◆ KernelFunctor() [1/2]

template<typename... Ts>

cl::KernelFunctor< Ts >::KernelFunctor | ( | Kernel | kernel | ) |
| inline

Definition at line 11116 of file opencl.hpp.

## ◆ KernelFunctor() [2/2]

template<typename... Ts>

cl::KernelFunctor< Ts >::KernelFunctor | ( | const Program & | program,
|  | const string | name,
|  | cl_int * | err = nullptr )
| inline

Definition at line 11119 of file opencl.hpp.

## Member Function Documentation

## ◆ getKernel()

template<typename... Ts>

Kernel cl::KernelFunctor< Ts >::getKernel | ( |  | ) |
| inline

Definition at line 11190 of file opencl.hpp.

## ◆ operator()() [1/2]

template<typename... Ts>

Event cl::KernelFunctor< Ts >::operator() | ( | const EnqueueArgs & | args,
|  | Ts... | ts )
| inline

Enqueue kernel.

Parameters

  args | Launch parameters of the kernel.
  t0... | List of kernel arguments based on the template type of the functor.

Definition at line 11134 of file opencl.hpp.

## ◆ operator()() [2/2]

template<typename... Ts>

Event cl::KernelFunctor< Ts >::operator() | ( | const EnqueueArgs & | args,
|  | Ts... | ts,
|  | cl_int & | error )
| inline

Enqueue kernel with support for error code.

Parameters

  args | Launch parameters of the kernel.
  t0... | List of kernel arguments based on the template type of the functor.
  error | Out parameter returning the error code from the execution.

Definition at line 11158 of file opencl.hpp.

## ◆ setSVMPointers() [1/2]

template<typename... Ts>
template<typename T0, typename... T1s>

cl_int cl::KernelFunctor< Ts >::setSVMPointers | ( | const T0 & | t0,
|  | T1s &... | ts )
| inline

Definition at line 11184 of file opencl.hpp.

## ◆ setSVMPointers() [2/2]

template<typename... Ts>

cl_int cl::KernelFunctor< Ts >::setSVMPointers | ( | const vector< void * > & | pointerList | ) |
| inline

Definition at line 11178 of file opencl.hpp.

The documentation for this class was generated from the following file:

- opencl.hpp